public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/qfits/files/, sci-libs/qfits/
@ 2019-12-13 17:41 David Seifert
  0 siblings, 0 replies; only message in thread
From: David Seifert @ 2019-12-13 17:41 UTC (permalink / raw
  To: gentoo-commits

commit:     d0c7e8f4fe367cb344ddf2a9e05626dfac65be40
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 13 17:40:32 2019 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Fri Dec 13 17:40:32 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d0c7e8f4

sci-libs/qfits: Port to EAPI 7

Package-Manager: Portage-2.3.81, Repoman-2.3.20
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-libs/qfits/files/qfits-6.2.0-open.patch  |  5 ++---
 sci-libs/qfits/files/qfits-6.2.0-ttest.patch |  4 ++--
 sci-libs/qfits/qfits-6.2.0.ebuild            | 22 +++++++++++++---------
 3 files changed, 17 insertions(+), 14 deletions(-)

diff --git a/sci-libs/qfits/files/qfits-6.2.0-open.patch b/sci-libs/qfits/files/qfits-6.2.0-open.patch
index 71d2df1a692..951970da6dc 100644
--- a/sci-libs/qfits/files/qfits-6.2.0-open.patch
+++ b/sci-libs/qfits/files/qfits-6.2.0-open.patch
@@ -1,6 +1,5 @@
-diff -ur qfits-6.2.0/src/qfits_memory.c qfits-6.2.0.new/src/qfits_memory.c
---- qfits-6.2.0/src/qfits_memory.c	2006-08-24 17:01:56.000000000 +0200
-+++ qfits-6.2.0.new/src/qfits_memory.c	2007-09-21 13:43:19.000000000 +0200
+--- a/src/qfits_memory.c
++++ b/src/qfits_memory.c
 @@ -308,7 +308,7 @@
          /* Create swap file with rights: rw-rw-rw- */
          swapfileid = ++ qfits_memory_table.file_reg ;

diff --git a/sci-libs/qfits/files/qfits-6.2.0-ttest.patch b/sci-libs/qfits/files/qfits-6.2.0-ttest.patch
index ee87bfc702c..a333a32e0a6 100644
--- a/sci-libs/qfits/files/qfits-6.2.0-ttest.patch
+++ b/sci-libs/qfits/files/qfits-6.2.0-ttest.patch
@@ -1,5 +1,5 @@
---- test/test_tfits.c	2006-04-27 14:08:43.000000000 +0100
-+++ test/test_tfits.c.new	2007-02-23 00:29:41.000000000 +0000
+--- a/test/test_tfits.c
++++ b/test/test_tfits.c
 @@ -322,7 +322,7 @@
       *    Test on BINARY tables
       */

diff --git a/sci-libs/qfits/qfits-6.2.0.ebuild b/sci-libs/qfits/qfits-6.2.0.ebuild
index e98cd4afcfa..181c4777ba8 100644
--- a/sci-libs/qfits/qfits-6.2.0.ebuild
+++ b/sci-libs/qfits/qfits-6.2.0.ebuild
@@ -1,23 +1,27 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=4
-
-inherit autotools-utils
+EAPI=7
 
 DESCRIPTION="ESO stand-alone C library offering easy access to FITS files"
 HOMEPAGE="http://www.eso.org/projects/aot/qfits/"
 SRC_URI="ftp://ftp.hq.eso.org/pub/${PN}/${P}.tar.gz"
+
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-IUSE="doc static-libs"
-DEPEND=""
-RDEPEND=""
+IUSE="doc"
 
 PATCHES=( "${FILESDIR}"/${P}-{ttest,open}.patch )
 
+src_configure() {
+	econf --disable-static
+}
+
 src_install() {
-	autotools-utils_src_install
-	use doc && dohtml html/*
+	use doc && HTML_DOCS=( html/. )
+	default
+
+	# no static archives
+	find "${D}" -name '*.la' -delete || die
 }


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2019-12-13 17:41 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2019-12-13 17:41 [gentoo-commits] repo/gentoo:master commit in: sci-libs/qfits/files/, sci-libs/qfits/ David Seifert

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox